> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get OAuth Id Token

> Get the id_token for the current user's custom OAuth account



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /oauth/id-token
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /oauth/id-token:
    get:
      tags:
        - Authentication
      summary: Get OAuth Id Token
      description: Get the id_token for the current user's custom OAuth account
      operationId: getOAuthIdToken
      responses:
        '200':
          description: The id_token if available
          content:
            application/json:
              schema:
                type: object
                properties:
                  idToken:
                    type: string
                    nullable: true
                required:
                  - idToken
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````